import { GraphQLResolveInfo, GraphQLSchema } from 'graphql';
import { QueryMap, BindingOptions, SubscriptionMap, Operation } from './types';
export declare class Binding {
    query: QueryMap;
    mutation: QueryMap;
    subscription: SubscriptionMap;
    schema: GraphQLSchema;
    before: () => void;
    private fragmentReplacements;
    constructor({schema, fragmentReplacements, before}: BindingOptions);
    request<T = any>(query: string, variables?: {
        [key: string]: any;
    }): Promise<T>;
    delegate(operation: Operation, fieldName: string, args: {
        [key: string]: any;
    }, context: {
        [key: string]: any;
    }, info?: GraphQLResolveInfo | string): Promise<any>;
}
